> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert Standardization

> Insert or update a standardization mapping for a tag



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /metadata/standardize/insert
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /metadata/standardize/insert:
    post:
      tags:
        - Metadata
      summary: Insert Standardization
      description: Insert or update a standardization mapping for a tag
      operationId: insert_standardization_metadata_standardize_insert_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StandardizationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.metadata.standardize.insert(
                data_connector_name="data_connector_name",
                standard_mapping={},
                tag_id="tag_id",
                tag_name="tag_name",
            )
            print(response)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const response = await client.metadata.standardize.insert({
              data_connector_name: 'data_connector_name',
              standard_mapping: {},
              tag_id: 'tag_id',
              tag_name: 'tag_name',
            });

            console.log(response);
components:
  schemas:
    StandardizationRequest:
      properties:
        tag_id:
          type: string
          title: Tag Id
        tag_name:
          type: string
          title: Tag Name
        standard_mapping:
          type: object
          title: Standard Mapping
        data_connector_name:
          type: string
          title: Data Connector Name
        taxonomy_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxonomy Name
      type: object
      required:
        - tag_id
        - tag_name
        - standard_mapping
        - data_connector_name
      title: StandardizationRequest
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````